Add newer package versions from Portage

Added 60 new ebuilds with versions available in Portage:
- app-admin packages updated
- dev-libs updates (libcec, openssl-compat, plog)
- dev-qt packages bumped to 5.15.19 and 6.x series
- dev-embedded and various other categories updated
- All old versions kept for compatibility

This allows users to choose between stable and latest versions.

Co-authored-by: Copilot <223556219+Copilot@users.noreply.github.com>
This commit is contained in:
Mario Fetka
2026-06-27 20:44:57 +02:00
parent bcf90c0fd3
commit 2224efd92e
60 changed files with 3695 additions and 0 deletions

View File

@@ -0,0 +1,77 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# shellcheck shell=bash
EAPI=8
inherit desktop xdg
DESCRIPTION="Password Manager"
HOMEPAGE="https://1password.com"
SRC_URI="
amd64? ( https://downloads.1password.com/linux/tar/stable/x86_64/${PN}-${PV}.x64.tar.gz -> ${P}-amd64.tar.gz )
arm64? ( https://downloads.1password.com/linux/tar/stable/aarch64/${PN}-${PV}.arm64.tar.gz -> ${P}-arm64.tar.gz )"
LICENSE="all-rights-reserved"
KEYWORDS="amd64 arm64"
IUSE="policykit cli"
DEPEND="
x11-misc/xdg-utils
acct-group/onepassword
policykit? ( sys-auth/polkit )
cli? ( app-admin/1password-cli )
"
RDEPEND="${DEPEND}"
SLOT="0"
RESTRICT="bindist mirror strip"
QA_PREBUILT="usr/bin/${MY_PN}"
S="${WORKDIR}"
src_prepare() {
default
xdg_environment_reset
}
src_install() {
mkdir -p "${D}/opt/1Password/"
cp -ar "${S}/${PN}-"**"/"* "${D}/opt/1Password/" || die "Install failed!"
# Fill in policy kit file with a list of (the first 10) human users of
# the system.
mkdir -p "${D}/usr/share/polkit-1/actions/"
export POLICY_OWNERS
POLICY_OWNERS="$(cut -d: -f1,3 /etc/passwd | grep -E ':[0-9]{4}$' | cut -d: -f1 | head -n 10 | sed 's/^/unix-user:/' | tr '\n' ' ')"
eval "cat <<EOF
$(cat "${D}/opt/1Password/com.1password.1Password.policy.tpl")
EOF" >"${D}/usr/share/polkit-1/actions/com.1password.1Password.policy"
chmod 644 "${D}/usr/share/polkit-1/actions/com.1password.1Password.policy"
dosym /opt/1Password/1password /usr/bin/1password
dosym /opt/1Password/op-ssh-sign /usr/bin/op-ssh-sign
dosym /opt/1Password/resources/1password.desktop "/usr/share/applications/${PN}.desktop"
newicon "${D}/opt/1Password/resources/icons/hicolor/512x512/apps/1password.png" "${PN}.png"
dodoc "${D}/opt/1Password/resources/custom_allowed_browsers"
}
pkg_postinst() {
# chrome-sandbox requires the setuid bit to be specifically set.
# See https://github.com/electron/electron/issues/17972
chmod 4755 /opt/1Password/chrome-sandbox
# This gives no extra permissions to the binary. It only hardens it against environmental tampering.
chgrp onepassword /opt/1Password/1Password-BrowserSupport
chmod g+s /opt/1Password/1Password-BrowserSupport
xdg_pkg_postinst
}
pkg_postrm() {
xdg_icon_cache_update
xdg_desktop_database_update
xdg_mimeinfo_database_update
}

View File

@@ -0,0 +1,44 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=8
inherit autotools db-use
SRC_URI="mirror://debian/pool/main/r/${PN}/${PN}_${PV}.orig.tar.xz
https://alioth.debian.org/frs/download.php/file/4109/${PN}_${PV}.orig.tar.xz"
DESCRIPTION="Debian repository creator and maintainer application"
HOMEPAGE="http://packages.debian.org/reprepro"
IUSE="archive bzip2 gpg lzma"
DEPEND="sys-libs/db:=
sys-libs/zlib
gpg? ( app-crypt/gpgme:1= dev-libs/libgpg-error )
archive? ( app-arch/libarchive:0= )
lzma? ( app-arch/lzma )"
RDEPEND="${DEPEND}"
KEYWORDS="~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
src_prepare() {
# eapply "${FILESDIR}"/${PN}-4.1.2-gpgme-header-check-1.patch
# epatch "${FILESDIR}"/${PN}-3.8.1-db-4_5-1.patch
default
eautoreconf
}
src_configure() {
econf \
"$(use_with archive libarchive)" \
"$(use_with bzip2 libbz2)" \
"$(use_with gpg libgpgme)" \
"$(use_with lzma liblzma)"
}
src_install() {
emake DESTDIR="${D}" install
}

View File

@@ -0,0 +1,18 @@
EAPI=8
inherit cmake
DESCRIPTION="Raspberry Pi Imaging Utility"
HOMEPAGE=https://www.raspberrypi.com/software/
SRC_URI="https://github.com/raspberrypi/rpi-imager/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE=Apache-2.0
SLOT=0
KEYWORDS="amd64 aarch64"
S=$WORKDIR/$P/src
RESTRICT=network-sandbox
DEPEND="
dev-qt/qtbase:6
dev-qt/qtdeclarative:6
dev-qt/qtsvg:6
"

View File

@@ -0,0 +1,120 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..14} )
MY_PV=${PV/_p/-}
MY_P=${PN}-${MY_PV}
inherit cmake linux-info python-single-r1 udev
DESCRIPTION="Library for communicating with the Pulse-Eight USB HDMI-CEC Adaptor"
HOMEPAGE="https://libcec.pulse-eight.com"
SRC_URI="https://github.com/Pulse-Eight/${PN}/archive/${MY_P}.tar.gz"
S="${WORKDIR}/${PN}-${MY_P}"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~riscv x86"
IUSE="exynos kernel-cec python tools udev +xrandr"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND=">=dev-libs/libplatform-2.0.0
python? ( ${PYTHON_DEPS} )
udev? ( virtual/udev )
xrandr? (
x11-libs/libX11
x11-libs/libXrandr
)
"
DEPEND="${RDEPEND}
python? ( dev-lang/swig )"
BDEPEND="virtual/pkgconfig"
CONFIG_CHECK="~USB_ACM"
PATCHES=(
"${FILESDIR}/${PN}-4.0.7-no-override-udev.patch"
"${FILESDIR}/${PN}-7.1.1-musl-nullptr.patch"
"${FILESDIR}/libcec-python13.patch"
)
pkg_pretend() {
use udev || CONFIG_CHECK+=" ~SYSFS"
ERROR_SYSFS="When using libcec build without udev, kernel config option CONFIG_SYSFS is required to automatically detect P8 USB-CEC adapter port number"
linux-info_pkg_setup
}
pkg_setup() {
linux-info_pkg_setup
use python && python-single-r1_pkg_setup
}
src_prepare() {
cmake_src_prepare
sed -Ee 's|[ ~]?#DIST#;?||g' debian/changelog.in > ChangeLog || die
(use tools && use python) || cmake_comment_add_subdirectory "src/pyCecClient"
if ! use tools; then
cmake_comment_add_subdirectory "src/cec-client"
cmake_comment_add_subdirectory "src/cecc-client"
sed -i -Ee 's|add_dependencies\(cecc?-client cec\)|#DO NOT BUILD \0|' \
CMakeLists.txt || die
fi
}
src_configure() {
local mycmakeargs=(
-DHAVE_LINUX_API=$(usex kernel-cec ON OFF)
-DHAVE_LIBUDEV=$(usex udev ON OFF)
-DSKIP_PYTHON_WRAPPER=$(usex python OFF ON)
-DHAVE_EXYNOS_API=$(usex exynos ON OFF)
# bug 922690 and bug 955124
-DHAVE_TDA995X_API=OFF
-DHAVE_RPI_API=OFF
)
if linux_config_exists && linux_chkconfig_present SYSFS; then
mycmakeargs+=( -DHAVE_P8_USB_DETECT=ON )
fi
cmake_src_configure
}
src_compile() {
cmake_src_compile
if use udev ; then
sed '/2548/ s/SUBSYSTEM/SUBSYSTEMS/; s/$/, GROUP="video"/;' "${S}/debian/pulse-eight-usb-cec.udev" > \
"${BUILD_DIR}/65-pulse-eight-usb-cec.rules" || die
fi
}
src_install() {
cmake_src_install
use python && python_optimize "${D}$(python_get_sitedir)"
use tools && doman debian/cec-client.1
if use udev; then
udev_dorules "${BUILD_DIR}/65-pulse-eight-usb-cec.rules"
fi
}
pkg_postrm() {
use udev && udev_reload
}
pkg_postinst() {
use udev && udev_reload
elog "You will need to ensure the user running your CEC client has"
elog "read/write access to the device. You can ensure this by adding"
elog "them to the video group"
}

View File

@@ -0,0 +1,172 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# this ebuild is only for the libcrypto.so.0.9.8 and libssl.so.0.9.8 SONAME for ABI compat
EAPI="8"
inherit flag-o-matic toolchain-funcs multilib-minimal
#PLEVEL=$(printf "\\$(printf '%03o' $((${PV##*_p} + 96)))")
PLEVEL='h' # _p8 -> tr '[1-9]' '[a-i]' -> 'h'
MY_PV=${PV/_p*/${PLEVEL}}
MY_P=openssl-${MY_PV}
DESCRIPTION="Toolkit for SSL v2/v3 and TLS v1"
HOMEPAGE="https://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="openssl"
SLOT="0.9.8"
KEYWORDS="~amd64 ~x86"
IUSE="bindist gmp kerberos cpu_flags_x86_sse2 test tls-compression"
RESTRICT="!bindist? ( bindist )
test"
RDEPEND="
gmp? ( >=dev-libs/gmp-5.1.3-r1[${MULTILIB_USEDEP}] )
tls-compression? ( virtual/zlib:=[${MULTILIB_USEDEP}] )
kerberos? ( >=app-crypt/mit-krb5-1.11.4[${MULTILIB_USEDEP}] )
"
DEPEND="
${RDEPEND}
"
BDEPEND="
>=dev-lang/perl-5
test? (
sys-apps/diffutils
sys-devel/bc
)
"
# Do not install any docs
DOCS=()
PATCHES=(
"${FILESDIR}"/openssl-0.9.8e-bsd-sparc64.patch
"${FILESDIR}"/openssl-0.9.8h-ldflags.patch #181438
"${FILESDIR}"/openssl-0.9.8m-binutils.patch #289130
"${FILESDIR}"/openssl-1.1.1u-perl-5.26.patch
"${FILESDIR}"/openssl-1.1.1u-termios.patch
)
src_prepare() {
default
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:=/usr/share/man:') \
Makefile{,.org} \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared || die
# update the enginedir path.
# punt broken config we don't care about as it fails sanity check.
# force TERMIOS because glibc no longer has TERMIO.
sed -i \
-e '/^"debug-ben-debug-64"/d' \
-e "/foo.*engines/s|/lib/engines|/$(get_libdir)/engines|" \
-e 's/-DTERMIO\b/-DTERMIOS/g' \
Configure || die
# since we're forcing $(CC) as makedep anyway, just fix
# the conditional as always-on
# helps clang (#417795), and versioned gcc (#499818)
sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-0.9.8 gentoo.config || die "cp cross-compile failed"
chmod a+rx gentoo.config || die
append-flags -fno-strict-aliasing
append-flags -Wa,--noexecstack
sed -i '1s,^:$,#!/usr/bin/perl,' Configure || die #141906
sed -i '/^"debug-bodo/d' Configure || die # 0.9.8za shipped broken
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
tc-export CC AR RANLIB
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free https://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired https://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 https://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired https://en.wikipedia.org/wiki/MDC-2
# RC5: 5,724,428 03/03/2015 https://en.wikipedia.org/wiki/RC5
use_ssl() { use $1 && echo "enable-${2:-$1} ${*:3}" || echo "no-${2:-$1}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
echoit \
./${config} \
${sslout} \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
$(use_ssl !bindist ec) \
enable-idea \
enable-mdc2 \
$(use_ssl !bindist rc5) \
enable-tlsext \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl tls-compression zlib) \
--prefix=/usr \
--openssldir=/etc/ssl \
shared threads \
|| die "Configure failed"
# Clean out hardcoded flags that openssl uses
local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
)
sed -i \
-e "/^LIBDIR=/s|=.*|=$(get_libdir)|" \
-e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
-e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts
emake -j1 depend
emake -j1 build_libs
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
dolib.so lib{crypto,ssl}.so.0.9.8
}

View File

@@ -0,0 +1,25 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="Portable, simple and extensible C++ logging library"
HOMEPAGE="https://github.com/SergiusTheBest/plog"
SRC_URI="https://github.com/SergiusTheBest/plog/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""
src_configure() {
local mycmakeargs=(
-DPLOG_BUILD_SAMPLES=OFF
)
cmake_src_configure
}

View File

@@ -0,0 +1,60 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ppc64 x86"
fi
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="Tool for viewing on-line documentation in Qt help file format"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*[png]
=dev-qt/qthelp-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtprintsupport-${QT5_PV}*
=dev-qt/qtsql-${QT5_PV}*[sqlite]
=dev-qt/qtwidgets-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/assistant/assistant
)
src_prepare() {
sed -e "s/qtHaveModule(webkitwidgets)/false/g" \
-i src/assistant/assistant/assistant.pro || die
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path assistant
doicon -s 32 src/assistant/assistant/images/assistant.png
newicon -s 128 src/assistant/assistant/images/assistant-128.png assistant.png
make_desktop_entry "${QT5_BINDIR}"/assistant 'Qt 5 Assistant' assistant 'Qt;Development;Documentation'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

View File

@@ -0,0 +1,59 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="WYSIWYG tool for designing and building graphical user interfaces with QtWidgets"
IUSE="declarative"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[png]
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtprintsupport-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
declarative? ( =dev-qt/qtdeclarative-${QT5_PV}*[widgets] )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/designer
)
src_prepare() {
qt_use_disable_mod declarative quickwidgets \
src/designer/src/plugins/plugins.pro
sed -e "s/qtHaveModule(webkitwidgets)/false/g" \
-i src/designer/src/plugins/plugins.pro || die
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path designer 5
newicon -s 128 src/designer/src/designer/images/designer.png designer-qt5.png
make_desktop_entry "${QT5_BINDIR}"/designer 'Qt 5 Designer' designer-qt5 'Qt;Development;GUIDesigner'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

View File

@@ -0,0 +1,37 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Tools for working with Qt translation data files"
IUSE="qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtxml-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/linguist
)
src_prepare() {
sed -i -e '/SUBDIRS += linguist/d' \
src/linguist/linguist.pro || die
qt_use_disable_mod qml qmldevtools-private \
src/linguist/lupdate/lupdate.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,54 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ppc64 x86"
fi
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="Graphical tool for translating Qt applications"
IUSE=" "
DEPEND="
=dev-qt/designer-${QT5_PV}*
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[png]
=dev-qt/qtprintsupport-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/linguist/linguist
)
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path linguist
local size
for size in 16 32 48 64 128; do
newicon -s ${size} src/linguist/linguist/images/icons/linguist-${size}-32.png linguist.png
done
make_desktop_entry "${QT5_BINDIR}"/linguist 'Qt 5 Linguist' linguist 'Qt;Development;Translation'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

View File

@@ -0,0 +1,35 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ppc64 x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Qt screen magnifier"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[png]
=dev-qt/qtwidgets-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/pixeltool
)
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path pixeltool
}

View File

@@ -0,0 +1,35 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Interface to Qt applications communicating over D-Bus"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdbus-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/qdbus/qdbus
)
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path qdbus
}

View File

@@ -0,0 +1,51 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ppc64 x86"
fi
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="Graphical tool that lets you introspect D-Bus objects and messages"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdbus-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/qdbus/qdbusviewer
)
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path qdbusviewer
doicon -s 32 src/qdbus/qdbusviewer/images/qdbusviewer.png
newicon -s 128 src/qdbus/qdbusviewer/images/qdbusviewer-128.png qdbusviewer.png
make_desktop_entry "${QT5_BINDIR}"/qdbusviewer 'Qt 5 QDBusViewer' qdbusviewer 'Qt;Development'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

View File

@@ -0,0 +1,40 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Qt documentation generator"
IUSE="qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
llvm-core/clang:=
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/qdoc
)
src_prepare() {
qt_use_disable_mod qml qmldevtools-private \
src/qdoc/qdoc.pro
qt5-build_src_prepare
}
src_configure() {
# qt5_tools_configure() not enough here, needs another fix, bug 676948
qt5_configure_oos_quirk qtqdoc-config.pri src/qdoc
qt5-build_src_configure
}

View File

@@ -0,0 +1,44 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
KEYWORDS="amd64 ~arm arm64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="3D rendering module for the Qt5 framework"
# TODO: tools
IUSE="gamepad gles2-only qml vulkan"
RDEPEND="
=dev-qt/qtconcurrent-${QT5_PV}*
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*:5=[vulkan=]
=dev-qt/qtnetwork-${QT5_PV}*
>=media-libs/assimp-4.0.0:=
gamepad? ( =dev-qt/qtgamepad-${QT5_PV}* )
qml? ( =dev-qt/qtdeclarative-${QT5_PV}*[gles2-only=] )
"
DEPEND="${RDEPEND}
vulkan? ( dev-util/vulkan-headers )
"
src_prepare() {
rm -r src/3rdparty/assimp/src/{code,contrib,include} || die
qt_use_disable_mod gamepad gamepad src/input/frontend/frontend.pri
qt_use_disable_mod qml quick src/src.pro
qt5-build_src_prepare
}
src_configure() {
local myqmakeargs=(
--
-system-assimp
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,34 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv x86"
fi
QT5_MODULE="qtconnectivity"
inherit qt5-build
DESCRIPTION="Bluetooth support library for the Qt5 framework"
IUSE="qml"
RESTRICT="mirror"
DEPEND="
=dev-qt/qtconcurrent-${QT5_PV}*
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtdbus-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
>=net-wireless/bluez-5:=
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
src_prepare() {
sed -i -e 's/nfc//' src/src.pro || die
qt_use_disable_mod qml quick src/src.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,30 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Chart component library for the Qt5 framework"
LICENSE="GPL-3"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv x86"
fi
IUSE="qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
src_prepare() {
qt_use_disable_mod qml quick \
src/src.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,23 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="Multi-threading concurrence support library for the Qt5 framework"
IUSE=" "
DEPEND="=dev-qt/qtcore-${QT5_PV}*:5="
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/concurrent
)

View File

@@ -0,0 +1,162 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit linux-info flag-o-matic toolchain-funcs qt5-build
DESCRIPTION="Cross-platform application development framework"
SLOT=5/${QT5_PV}
IUSE="icu old-kernel"
RESTRICT="mirror" # https://bugs.gentoo.org/958499
DEPEND="
dev-libs/double-conversion:=
dev-libs/glib:2
dev-libs/libpcre2[pcre16,unicode]
sys-libs/zlib:=
icu? ( dev-libs/icu:= )
!icu? ( virtual/libiconv )
"
RDEPEND="${DEPEND}
!<dev-qt/designer-${QT5_PV}:5
!<dev-qt/qt3d-${QT5_PV}:5
!<dev-qt/qtbluetooth-${QT5_PV}:5
!<dev-qt/qtcharts-${QT5_PV}:5
!<dev-qt/qtconcurrent-${QT5_PV}:5
!<dev-qt/qtdatavis3d-${QT5_PV}:5
!<dev-qt/qtdbus-${QT5_PV}:5
!<dev-qt/qtdeclarative-${QT5_PV}:5
!<dev-qt/qtgamepad-${QT5_PV}:5
!<dev-qt/qtgraphicaleffects-${QT5_PV}:5
!<dev-qt/qtgui-${QT5_PV}:5
!<dev-qt/qthelp-${QT5_PV}:5
!<dev-qt/qtimageformats-${QT5_PV}:5
!<dev-qt/qtlocation-${QT5_PV}:5
!<dev-qt/qtmultimedia-${QT5_PV}:5
!<dev-qt/qtnetwork-${QT5_PV}:5
!<dev-qt/qtnetworkauth-${QT5_PV}:5
!<dev-qt/qtopengl-${QT5_PV}:5
!<dev-qt/qtpositioning-${QT5_PV}:5
!<dev-qt/qtprintsupport-${QT5_PV}:5
!<dev-qt/qtquickcontrols-${QT5_PV}:5
!<dev-qt/qtquickcontrols2-${QT5_PV}:5
!<dev-qt/qtquicktimeline-${QT5_PV}:5
!<dev-qt/qtscript-${QT5_PV}:5
!<dev-qt/qtscxml-${QT5_PV}:5
!<dev-qt/qtsensors-${QT5_PV}:5
!<dev-qt/qtserialbus-${QT5_PV}:5
!<dev-qt/qtserialport-${QT5_PV}:5
!<dev-qt/qtspeech-${QT5_PV}:5
!<dev-qt/qtsql-${QT5_PV}:5
!<dev-qt/qtsvg-${QT5_PV}:5
!<dev-qt/qttest-${QT5_PV}:5
!<dev-qt/qtvirtualkeyboard-${QT5_PV}:5
!<dev-qt/qtwayland-${QT5_PV}:5
!<dev-qt/qtwebchannel-${QT5_PV}:5
!<dev-qt/qtwebengine-${QT5_PV}:5
!<dev-qt/qtwebsockets-${QT5_PV}:5
!<dev-qt/qtwebview-${QT5_PV}:5
!<dev-qt/qtwidgets-${QT5_PV}:5
!<dev-qt/qtx11extras-${QT5_PV}:5
!<dev-qt/qtxml-${QT5_PV}:5
!<dev-qt/qtxmlpatterns-${QT5_PV}:5
"
QT5_TARGET_SUBDIRS=(
src/tools/bootstrap
src/tools/moc
src/tools/rcc
src/corelib
src/tools/qlalr
doc
)
QT5_GENTOO_PRIVATE_CONFIG=(
!:network
!:sql
!:testlib
!:xml
)
pkg_pretend() {
use kernel_linux || return
get_running_version
if kernel_is -lt 4 11 && ! use old-kernel; then
ewarn "The running kernel is older than 4.11. USE=old-kernel is needed for"
ewarn "dev-qt/qtcore to function on this kernel properly. Bugs #669994, #672856"
fi
}
src_prepare() {
# don't add -O3 to CXXFLAGS, bug 549140
sed -i -e '/CONFIG\s*+=/s/optimize_full//' src/corelib/corelib.pro || die
# fix missing qt_version_tag symbol w/ LTO, bug 674382
sed -i -e 's/^gcc:ltcg/gcc/' src/corelib/global/global.pri || die
# Broken with FORTIFY_SOURCE=3
#
# Our toolchain sets F_S=2 by default w/ >= -O2, so we need
# to unset F_S first, then explicitly set 2, to negate any default
# and anything set by the user if they're choosing 3 (or if they've
# modified GCC to set 3).
#
# Refs:
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=105078
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=105709
# https://bugreports.qt.io/browse/QTBUG-103782
# bug #847145
if tc-enables-fortify-source ; then
# We can't unconditionally do this b/c we fortify needs
# some level of optimisation.
filter-flags -D_FORTIFY_SOURCE=3
# (Qt doesn't seem to respect CPPFLAGS?)
append-flags -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
fi
qt5-build_src_prepare
# workaround for a79a370c (...Annotate-QMutex-...patch) adding a header
qt5_syncqt_version
}
src_configure() {
local myconf=(
$(qt_use icu)
$(qt_use !icu iconv)
)
use old-kernel && myconf+=(
-no-feature-renameat2 # needs Linux 3.16, bug 669994
-no-feature-getentropy # needs Linux 3.17, bug 669994
-no-feature-statx # needs Linux 4.11, bug 672856
)
qt5-build_src_configure
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path qmake 5
local flags=(
DBUS FREETYPE IMAGEFORMAT_JPEG IMAGEFORMAT_PNG
OPENGL OPENSSL SSL WIDGETS
)
for flag in ${flags[@]}; do
cat >> "${D}"/${QT5_HEADERDIR}/QtCore/qconfig.h <<- _EOF_ || die
#if defined(QT_NO_${flag}) && defined(QT_${flag})
# undef QT_NO_${flag}
#elif !defined(QT_NO_${flag}) && !defined(QT_${flag})
# define QT_NO_${flag}
#endif
_EOF_
done
}

View File

@@ -0,0 +1,32 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="3D data visualization library for the Qt5 framework"
LICENSE="GPL-3"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 x86"
fi
IUSE="gles2-only qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*[gles2-only=]
qml? ( =dev-qt/qtdeclarative-${QT5_PV}*[gles2-only=] )
"
RDEPEND="${DEPEND}"
src_prepare() {
# eliminate bogus dependency on qtwidgets
sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
qt_use_disable_mod qml quick \
src/src.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,45 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="Qt5 module for inter-process communication over the D-Bus protocol"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
sys-apps/dbus
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/dbus
src/tools/qdbusxml2cpp
src/tools/qdbuscpp2xml
)
QT5_GENTOO_CONFIG=(
:dbus
:dbus-linked:
)
QT5_GENTOO_PRIVATE_CONFIG=(
:dbus
:dbus-linked
)
src_configure() {
local myconf=(
-dbus-linked
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,43 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm ~hppa ~ppc64 x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Tool for reporting diagnostic information about Qt and its environment"
IUSE="+network +widgets"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=
network? ( =dev-qt/qtnetwork-${QT5_PV}*[ssl] )
widgets? ( =dev-qt/qtwidgets-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/qtdiag
)
src_prepare() {
qt_use_disable_mod network network \
src/qtdiag/qtdiag.pro
qt_use_disable_mod widgets widgets \
src/qtdiag/qtdiag.pro
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path qtdiag 5
}

View File

@@ -0,0 +1,36 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Qt module to support gamepad hardware"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 ~riscv x86"
fi
IUSE="evdev qml sdl"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*[evdev?]
evdev? ( virtual/libudev:= )
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
sdl? ( media-libs/libsdl2 )
"
RDEPEND="${DEPEND}"
src_prepare() {
qt_use_disable_mod qml quick \
src/src.pro
qt_use_disable_config evdev evdev \
src/plugins/gamepads/gamepads.pro
qt_use_disable_config sdl sdl2 \
src/plugins/gamepads/gamepads.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,22 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
VIRTUALX_REQUIRED="test"
inherit qt5-build
DESCRIPTION="Set of QML types for adding visual effects to user interfaces"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE=" "
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
"
DEPEND="${RDEPEND}"

View File

@@ -0,0 +1,180 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="The GUI module and platform plugins for the Qt5 framework"
SLOT=5/${QT5_PV} # bug 707658
IUSE="accessibility dbus egl eglfs evdev gles2-only ibus jpeg +libinput
linuxfb +png tslib tuio +udev vnc vulkan wayland +X"
REQUIRED_USE="
|| ( eglfs linuxfb vnc wayland X )
accessibility? ( dbus X )
eglfs? ( egl )
ibus? ( dbus )
libinput? ( udev )
X? ( gles2-only? ( egl ) )
"
RDEPEND="
dev-libs/glib:2
=dev-qt/qtcore-${QT5_PV}*:5=
dev-util/gtk-update-icon-cache
media-libs/fontconfig
media-libs/freetype:2
media-libs/harfbuzz:=
sys-libs/zlib:=
accessibility? ( app-accessibility/at-spi2-core:2 )
dbus? ( =dev-qt/qtdbus-${QT5_PV}* )
eglfs? (
media-libs/mesa[gbm(+)]
x11-libs/libdrm
)
evdev? ( sys-libs/mtdev )
jpeg? ( media-libs/libjpeg-turbo:= )
gles2-only? ( media-libs/libglvnd )
!gles2-only? ( media-libs/libglvnd[X] )
libinput? (
dev-libs/libinput:=
x11-libs/libxkbcommon
)
png? ( media-libs/libpng:= )
tslib? ( >=x11-libs/tslib-1.21 )
tuio? ( =dev-qt/qtnetwork-${QT5_PV}* )
udev? ( virtual/libudev:= )
vnc? ( =dev-qt/qtnetwork-${QT5_PV}* )
vulkan? ( dev-util/vulkan-headers )
X? (
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libxcb:=
x11-libs/libxkbcommon[X]
x11-libs/xcb-util-image
x11-libs/xcb-util-keysyms
x11-libs/xcb-util-renderutil
x11-libs/xcb-util-wm
)
"
DEPEND="${RDEPEND}
evdev? ( sys-kernel/linux-headers )
linuxfb? ( sys-kernel/linux-headers )
udev? ( sys-kernel/linux-headers )
X? ( x11-base/xorg-proto )
"
PDEPEND="
ibus? ( app-i18n/ibus )
wayland? ( =dev-qt/qtwayland-${QT5_PV}* )
"
QT5_TARGET_SUBDIRS=(
src/tools/qvkgen
src/gui
src/openglextensions
src/platformheaders
src/platformsupport
src/plugins/generic
src/plugins/imageformats
src/plugins/platforms
src/plugins/platforminputcontexts
)
QT5_GENTOO_CONFIG=(
accessibility:accessibility-atspi-bridge
egl:egl:
eglfs:eglfs:
eglfs:eglfs_egldevice:
eglfs:eglfs_gbm:
evdev:evdev:
evdev:mtdev:
:fontconfig:
:system-freetype:FREETYPE
!:no-freetype:
gles2-only::OPENGL_ES
gles2-only:opengles2:OPENGL_ES_2
!:no-gui:
:system-harfbuzz:
!:no-harfbuzz:
jpeg:system-jpeg:IMAGEFORMAT_JPEG
!jpeg:no-jpeg:
libinput
libinput:xkbcommon:
:opengl
png:png:
png:system-png:IMAGEFORMAT_PNG
!png:no-png:
tslib:tslib:
udev:libudev:
vulkan:vulkan:
X:xcb:
X:xcb-glx:
X:xcb-plugin:
X:xcb-render:
X:xcb-sm:
X:xcb-xlib:
X:xcb-xinput:
)
QT5_GENTOO_PRIVATE_CONFIG=(
:gui
)
src_prepare() {
# don't add -O3 to CXXFLAGS, bug 549140
sed -i -e '/CONFIG\s*+=/s/optimize_full//' src/gui/gui.pro || die
# egl_x11 is activated when both egl and X are enabled
use egl && QT5_GENTOO_CONFIG+=(X:egl_x11:) || QT5_GENTOO_CONFIG+=(egl:egl_x11:)
qt_use_disable_config dbus dbus \
src/platformsupport/themes/genericunix/genericunix.pri
qt_use_disable_config tuio tuiotouch src/plugins/generic/generic.pro
qt_use_disable_mod ibus dbus \
src/plugins/platforminputcontexts/platforminputcontexts.pro
use vnc || sed -i -e '/SUBDIRS += vnc/d' \
src/plugins/platforms/platforms.pro || die
qt5-build_src_prepare
}
src_configure() {
local myconf=(
$(qt_use accessibility feature-accessibility-atspi-bridge)
$(usev dbus -dbus-linked)
$(qt_use egl)
$(qt_use eglfs)
$(usev eglfs '-gbm -kms')
$(qt_use evdev)
$(qt_use evdev mtdev)
-fontconfig
-system-freetype
-gui
-system-harfbuzz
$(qt_use jpeg libjpeg system)
$(qt_use libinput)
$(qt_use linuxfb)
-opengl $(usex gles2-only es2 desktop)
$(qt_use png libpng system)
$(qt_use tslib)
$(qt_use udev libudev)
$(qt_use vulkan)
$(qt_use X xcb)
$(usev X '-xcb-xlib')
)
if use libinput || use X; then
myconf+=( -xkbcommon )
fi
qt5-build_src_configure
}

View File

@@ -0,0 +1,30 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Qt5 module for integrating online documentation into applications"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtsql-${QT5_PV}*[sqlite]
=dev-qt/qtwidgets-${QT5_PV}*
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/assistant/help
src/assistant/qcollectiongenerator
src/assistant/qhelpgenerator
)

View File

@@ -0,0 +1,32 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Additional format plugins for the Qt image I/O system"
IUSE="mng"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
media-libs/libwebp:=
media-libs/tiff:=
mng? ( media-libs/libmng:= )
"
RDEPEND="${DEPEND}"
src_configure() {
sed -e 's/qtConfig(jasper)/false:/' \
-i src/plugins/imageformats/imageformats.pro || die
qt_use_disable_config mng mng src/plugins/imageformats/imageformats.pro
qt5-build_src_configure
}

View File

@@ -0,0 +1,59 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PATCHSET="${PN}-5.15.11-patchset"
inherit qt5-build
DESCRIPTION="Location (places, maps, navigation) library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
MAPBOXGL_COMMIT=35d566724c48180c9a372c2ed50a253871a51574
SRC_URI+=" https://invent.kde.org/qt/qt/${PN}-mapboxgl/-/archive/${MAPBOXGL_COMMIT}/${PN}-mapboxgl-${MAPBOXGL_COMMIT}.tar.gz -> ${PN}-mapboxgl-${PV}-${MAPBOXGL_COMMIT:0:8}.tar.gz
https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}.tar.xz"
KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
fi
RDEPEND="
dev-libs/icu:=
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtpositioning-${QT5_PV}*[qml]
=dev-qt/qtsql-${QT5_PV}*
sys-libs/zlib
"
DEPEND="${RDEPEND}
=dev-qt/qtconcurrent-${QT5_PV}*
"
QT5_TARGET_SUBDIRS=(
src/3rdparty/clipper
src/3rdparty/poly2tri
src/3rdparty/clip2tri
src/3rdparty/mapbox-gl-native
src/location
src/imports/location
src/imports/locationlabs
src/plugins/geoservices
)
if [[ ${QT5_BUILD_TYPE} == release ]]; then
PATCHES=( "${WORKDIR}/${PATCHSET}" )
src_prepare() {
rm -rf src/3rdparty/mapbox-gl-native/* || die
mv "${WORKDIR}"/${PN}-mapboxgl-${MAPBOXGL_COMMIT}/* src/3rdparty/mapbox-gl-native || die
qt5-build_src_prepare
}
fi
src_configure() {
# src/plugins/geoservices requires files that are only generated when
# qmake is run in the root directory. Bug 633776.
qt5_configure_oos_quirk qtlocation-config.pri src/location
qt5-build_src_configure
}

View File

@@ -0,0 +1,70 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Multimedia (audio, video, radio, camera) library for the Qt5 framework"
IUSE="alsa gles2-only gstreamer openal pulseaudio qml widgets"
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*[gles2-only=]
=dev-qt/qtnetwork-${QT5_PV}*
alsa? ( media-libs/alsa-lib )
gstreamer? (
dev-libs/glib:2
media-libs/gstreamer:1.0
media-libs/gst-plugins-bad:1.0
media-libs/gst-plugins-base:1.0
)
pulseaudio? ( media-libs/libpulse[glib] )
qml? (
=dev-qt/qtdeclarative-${QT5_PV}*
gles2-only? ( =dev-qt/qtgui-${QT5_PV}*[egl] )
openal? ( media-libs/openal )
)
widgets? (
=dev-qt/qtwidgets-${QT5_PV}*[gles2-only=]
media-libs/libglvnd
)
"
DEPEND="${RDEPEND}
gstreamer? ( x11-base/xorg-proto )
"
src_prepare() {
sed -i -e '/CONFIG\s*+=/ s/optimize_full//' \
src/multimedia/multimedia.pro || die
qt_use_disable_config openal openal \
src/imports/imports.pro
qt_use_disable_mod qml quick \
src/src.pro \
src/plugins/plugins.pro
qt_use_disable_mod widgets widgets \
src/src.pro \
src/gsttools/gsttools.pro \
src/plugins/gstreamer/common.pri
qt5-build_src_prepare
}
src_configure() {
local myqmakeargs=(
--
$(qt_use alsa)
$(qt_use gstreamer)
$(qt_use pulseaudio)
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,21 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
KEYWORDS="amd64 arm64 ~ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Network authorization library for the Qt5 framework"
LICENSE="GPL-3"
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
"
RDEPEND="${DEPEND}"

View File

@@ -0,0 +1,35 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
VIRTUALX_REQUIRED="test"
inherit qt5-build
DESCRIPTION="OpenGL support library for the Qt5 framework (deprecated)"
IUSE="gles2-only"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*[gles2-only=]
=dev-qt/qtwidgets-${QT5_PV}*[gles2-only=]
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/opengl
)
src_configure() {
local myconf=(
-opengl $(usex gles2-only es2 desktop)
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,28 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Command line client to QStandardPaths"
IUSE=" "
DEPEND="=dev-qt/qtcore-${QT5_PV}*"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/qtpaths
)
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path qtpaths 5
}

View File

@@ -0,0 +1,23 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="~amd64 ~x86"
fi
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Qt5 plugin metadata dumper"
IUSE=" "
DEPEND="=dev-qt/qtcore-${QT5_PV}*"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/qtplugininfo
)

View File

@@ -0,0 +1,41 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
QT5_MODULE="qtlocation"
inherit qt5-build
DESCRIPTION="Physical position determination library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE="geoclue +qml"
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*
geoclue? ( =dev-qt/qtdbus-${QT5_PV}* )
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
DEPEND="${RDEPEND}"
PDEPEND="
geoclue? ( app-misc/geoclue:2.0 )
"
QT5_TARGET_SUBDIRS=(
src/3rdparty/clipper
src/3rdparty/poly2tri
src/3rdparty/clip2tri
src/positioning
src/plugins/position/positionpoll
)
pkg_setup() {
use geoclue && QT5_TARGET_SUBDIRS+=( src/plugins/position/geoclue2 )
use qml && QT5_TARGET_SUBDIRS+=(
src/positioningquick
src/imports/positioning
)
}

View File

@@ -0,0 +1,44 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
VIRTUALX_REQUIRED="test"
inherit qt5-build
DESCRIPTION="Printing support library for the Qt5 framework"
IUSE="cups gles2-only"
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*[gles2-only=]
=dev-qt/qtwidgets-${QT5_PV}*[gles2-only=]
cups? ( net-print/cups )
"
DEPEND="${RDEPEND}
test? ( =dev-qt/qtnetwork-${QT5_PV}* )
"
QT5_TARGET_SUBDIRS=(
src/printsupport
src/plugins/printsupport
)
QT5_GENTOO_CONFIG=(
cups
)
src_configure() {
local myconf=(
$(qt_use cups)
-opengl $(usex gles2-only es2 desktop)
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,33 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Set of Qt Quick controls to create complete user interfaces (deprecated)"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE="+widgets"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
widgets? ( =dev-qt/qtwidgets-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
src_prepare() {
qt_use_disable_mod widgets widgets \
src/src.pro \
src/controls/Private/private.pri \
tests/auto/activeFocusOnTab/activeFocusOnTab.pro \
tests/auto/controls/controls.pro \
tests/auto/testplugin/testplugin.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,32 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 ~arm arm64 ~loong ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Set of next generation Qt Quick controls for the Qt5 framework"
IUSE="widgets"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
widgets? ( =dev-qt/qtwidgets-${QT5_PV}* )
"
RDEPEND="${DEPEND}
=dev-qt/qtgraphicaleffects-${QT5_PV}*
"
src_prepare() {
qt_use_disable_mod widgets widgets \
src/imports/platform/platform.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,18 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Qt module for keyframe-based timeline construction"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~arm ~x86"
fi
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
"
RDEPEND="${DEPEND}"

View File

@@ -0,0 +1,37 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Application scripting library for the Qt5 framework (deprecated)"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 ~hppa ppc ppc64 ~riscv x86"
fi
IUSE="+jit scripttools"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
scripttools? (
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
)
"
RDEPEND="${DEPEND}"
src_prepare() {
qt_use_disable_mod scripttools widgets \
src/src.pro
qt5-build_src_prepare
}
src_configure() {
local myqmakeargs=(
JAVASCRIPTCORE_JIT=$(usex jit)
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,20 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="State Chart XML (SCXML) support library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~riscv x86"
fi
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
"
RDEPEND="${DEPEND}"

View File

@@ -0,0 +1,29 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Hardware sensor access library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ~ppc ppc64 ~riscv x86"
fi
# TODO: simulator
IUSE="qml"
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdbus-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
DEPEND="${RDEPEND}"
src_prepare() {
qt_use_disable_mod qml quick \
src/src.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,21 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Qt module to access CAN, ModBus, and other industrial serial buses and protocols"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~x86"
fi
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtserialport-${QT5_PV}*
"
RDEPEND="${DEPEND}"

View File

@@ -0,0 +1,28 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Serial port abstraction library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
virtual/libudev:=
"
RDEPEND="${DEPEND}"
src_prepare() {
# make sure we link against libudev
sed -i -e 's/:qtConfig(libudev)//' \
src/serialport/serialport-lib.pri || die
qt5-build_src_prepare
}

View File

@@ -0,0 +1,36 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
fi
inherit qt5-build
DESCRIPTION="Text-to-speech library for the Qt5 framework"
IUSE="alsa flite"
RDEPEND="
>=app-accessibility/speech-dispatcher-0.8.7
=dev-qt/qtcore-${QT5_PV}*
flite? (
>=app-accessibility/flite-2[alsa?]
=dev-qt/qtmultimedia-${QT5_PV}*[alsa?]
alsa? ( media-libs/alsa-lib )
)
"
DEPEND="${RDEPEND}"
src_prepare() {
qt_use_disable_config flite flite \
src/plugins/tts/tts.pro
qt_use_disable_config alsa flite_alsa \
src/plugins/tts/flite/flite.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,56 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="SQL abstraction library for the Qt5 framework"
SLOT=5/${QT5_PV} # bug 639140
IUSE="freetds mysql oci8 odbc postgres +sqlite"
REQUIRED_USE="
|| ( freetds mysql oci8 odbc postgres sqlite )
"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
freetds? ( dev-db/freetds )
mysql? ( dev-db/mysql-connector-c:= )
oci8? ( dev-db/oracle-instantclient:=[sdk] )
odbc? ( dev-db/unixODBC )
postgres? ( dev-db/postgresql:* )
sqlite? ( dev-db/sqlite:3 )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/sql
src/plugins/sqldrivers
)
QT5_GENTOO_PRIVATE_CONFIG=(
:sql
)
src_configure() {
local myconf=(
$(qt_use freetds sql-tds plugin)
$(qt_use mysql sql-mysql plugin)
$(qt_use oci8 sql-oci plugin)
$(qt_use odbc sql-odbc plugin)
$(qt_use postgres sql-psql plugin)
$(qt_use sqlite sql-sqlite plugin)
$(usev sqlite -system-sqlite)
)
use oci8 && myconf+=("-I${ORACLE_HOME}/include" "-L${ORACLE_HOME}/$(get_libdir)")
qt5-build_src_configure
}

View File

@@ -0,0 +1,33 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
VIRTUALX_REQUIRED="test"
inherit qt5-build
DESCRIPTION="Unit testing library for the Qt5 framework"
IUSE=" "
RDEPEND="=dev-qt/qtcore-${QT5_PV}*:5="
DEPEND="${RDEPEND}
test? (
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
)
"
QT5_TARGET_SUBDIRS=(
src/testlib
)
QT5_GENTOO_PRIVATE_CONFIG=(
:testlib
)

View File

@@ -0,0 +1,17 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Translation files for the Qt5 framework"
IUSE=" "
DEPEND="=dev-qt/qtcore-${QT5_PV}*"
BDEPEND="=dev-qt/linguist-tools-${QT5_PV}*"

View File

@@ -0,0 +1,42 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Customizable input framework and virtual keyboard for Qt"
# TODO: unbundle libraries for more layouts
IUSE="handwriting +spell +X"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtsvg-${QT5_PV}*
spell? ( app-text/hunspell:= )
X? ( x11-libs/libxcb:= )
"
RDEPEND="${DEPEND}"
src_configure() {
local myqmakeargs=(
$(usev handwriting CONFIG+=lipi-toolkit)
$(usev !spell CONFIG+=disable-hunspell)
$(usev !X CONFIG+=disable-desktop)
CONFIG+="lang-ar_AR lang-bg_BG lang-cs_CZ lang-da_DK lang-de_DE \
lang-el_GR lang-en_GB lang-en_US lang-es_ES lang-es_MX \
lang-et_EE lang-fa_FA lang-fi_FI lang-fr_CA lang-fr_FR \
lang-he_IL lang-hi_IN lang-hr_HR lang-hu_HU lang-id_ID \
lang-it_IT lang-ms_MY lang-nb_NO lang-nl_NL lang-pl_PL \
lang-pt_BR lang-pt_PT lang-ro_RO lang-ru_RU lang-sk_SK \
lang-sl_SI lang-sq_AL lang-sr_SP lang-sv_SE lang-tr_TR \
lang-uk_UA lang-vi_VN"
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,52 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
fi
inherit qt5-build
DESCRIPTION="Wayland platform plugin for Qt"
SLOT=5/${QT5_PV} # bug 815646
IUSE="compositor vulkan"
RDEPEND="
dev-libs/wayland
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[egl,libinput,vulkan=]
media-libs/libglvnd
x11-libs/libxkbcommon
compositor? ( =dev-qt/qtdeclarative-${QT5_PV}*:5= )
"
DEPEND="${RDEPEND}
vulkan? ( dev-util/vulkan-headers )
"
BDEPEND="dev-util/wayland-scanner"
src_configure() {
local myqmakeargs=(
--
-no-feature-xcomposite-egl
-no-feature-xcomposite-glx
$(qt_use compositor feature-wayland-server)
$(qt_use compositor feature-wayland-dmabuf-server-buffer)
$(qt_use compositor feature-wayland-drm-egl-server-buffer)
$(qt_use compositor feature-wayland-shm-emulation-server-buffer)
)
use compositor && myqmakeargs+=(
$(qt_use vulkan feature-wayland-vulkan-server-buffer)
)
qt5-build_src_configure
}
src_install() {
qt5-build_src_install
rm "${D}${QT5_BINDIR}"/qtwaylandscanner || die
}

View File

@@ -0,0 +1,33 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
#QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
fi
inherit qt5-build
DESCRIPTION="Qt5 module for integrating C++ and QML applications with HTML/JavaScript clients"
IUSE="qml"
RESTRICT="mirror"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}/${QT5_MODULE}-5.15.17-gentoo-kde-1"
)
src_prepare() {
qt_use_disable_mod qml quick src/src.pro
qt_use_disable_mod qml qml src/webchannel/webchannel.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,150 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..14} python3_14t )
USE_RUBY="ruby27 ruby30 ruby31 ruby32"
MY_COMMIT="756e1c8f23dc2720471298281c421c0076d02df8"
inherit check-reqs cmake flag-o-matic python-any-r1 qmake-utils ruby-single toolchain-funcs
DESCRIPTION="WebKit rendering library for the Qt5 framework (deprecated)"
HOMEPAGE="https://www.qt.io/"
SRC_URI="https://github.com/qtwebkit/qtwebkit/archive/${MY_COMMIT}.tar.gz -> ${P}.gh.tar.gz"
S="${WORKDIR}/qtwebkit-${MY_COMMIT}"
LICENSE="BSD LGPL-2+"
SLOT="5/5.212"
KEYWORDS="amd64 arm arm64 ppc64 x86"
IUSE="geolocation gles2-only +gstreamer +hyphen +jit multimedia nsplugin opengl orientation +printsupport qml webp X"
REQUIRED_USE="
nsplugin? ( X )
qml? ( opengl )
?? ( gstreamer multimedia )
"
# Dependencies found at Source/cmake/OptionsQt.cmake
QT_MIN_VER="5.12.3:5"
BDEPEND="
${PYTHON_DEPS}
${RUBY_DEPS}
dev-lang/perl
dev-util/gperf
>=sys-devel/bison-2.4.3
sys-devel/flex
virtual/pkgconfig
"
DEPEND="
dev-db/sqlite:3
dev-libs/icu:=
dev-libs/libxml2
dev-libs/libxslt
>=dev-qt/qtcore-${QT_MIN_VER}
>=dev-qt/qtgui-${QT_MIN_VER}
>=dev-qt/qtnetwork-${QT_MIN_VER}
>=dev-qt/qtwidgets-${QT_MIN_VER}=
media-libs/libpng:0=
media-libs/woff2
media-libs/libjpeg-turbo:0
geolocation? ( >=dev-qt/qtpositioning-${QT_MIN_VER} )
gstreamer? (
dev-libs/glib:2
media-libs/gstreamer:1.0
media-libs/gst-plugins-bad:1.0
media-libs/gst-plugins-base:1.0
)
hyphen? ( dev-libs/hyphen )
multimedia? ( >=dev-qt/qtmultimedia-${QT_MIN_VER}[widgets] )
opengl? (
>=dev-qt/qtgui-${QT_MIN_VER}[gles2-only=]
>=dev-qt/qtopengl-${QT_MIN_VER}[gles2-only=]
)
orientation? ( >=dev-qt/qtsensors-${QT_MIN_VER} )
printsupport? ( >=dev-qt/qtprintsupport-${QT_MIN_VER} )
qml? (
>=dev-qt/qtdeclarative-${QT_MIN_VER}
>=dev-qt/qtwebchannel-${QT_MIN_VER}[qml]
)
webp? ( media-libs/libwebp:= )
X? (
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXrender
)
"
RDEPEND="${DEPEND}"
CHECKREQS_DISK_BUILD="16G" # bug 417307
PATCHES=(
"${FILESDIR}"/qtwebkit-6.212_p20250919-gcc14.patch
"${FILESDIR}"/qtwebkit-6.212_p20250919-icu76.patch
"${FILESDIR}"/qtwebkit-6.212_p20250919-ruby.patch
)
_check_reqs() {
if [[ ${MERGE_TYPE} != binary ]] && is-flagq "-g*" && ! is-flagq "-g*0"; then
einfo "Checking for sufficient disk space to build ${PN} with debugging flags"
check-reqs_$1
fi
}
pkg_pretend() {
_check_reqs pkg_pretend
}
pkg_setup() {
_check_reqs pkg_setup
python-any-r1_pkg_setup
}
src_configure() {
# Respect CC, otherwise fails on prefix, bug #395875
tc-export CC
# Multiple rendering bugs on youtube, github, etc without this, bug #547224
append-flags $(test-flags -fno-strict-aliasing)
append-cxxflags -fpermissive
local mycmakeargs=(
-DPORT=Qt
-DENABLE_API_TESTS=OFF
-DENABLE_TOOLS=OFF
-DENABLE_GEOLOCATION=$(usex geolocation)
-DUSE_GSTREAMER=$(usex gstreamer)
-DUSE_LIBHYPHEN=$(usex hyphen)
-DENABLE_JIT=$(usex jit)
-DUSE_QT_MULTIMEDIA=$(usex multimedia)
-DENABLE_NETSCAPE_PLUGIN_API=$(usex nsplugin)
-DENABLE_OPENGL=$(usex opengl)
-DENABLE_PRINT_SUPPORT=$(usex printsupport)
-DENABLE_DEVICE_ORIENTATION=$(usex orientation)
-DENABLE_WEBKIT2=$(usex qml)
$(cmake_use_find_package webp WebP)
-DENABLE_X11_TARGET=$(usex X)
)
if has_version "virtual/rubygems[ruby_targets_ruby32]"; then
mycmakeargs+=( -DRUBY_EXECUTABLE=$(type -P ruby32) )
elif has_version "virtual/rubygems[ruby_targets_ruby31]"; then
mycmakeargs+=( -DRUBY_EXECUTABLE=$(type -P ruby31) )
elif has_version "virtual/rubygems[ruby_targets_ruby30]"; then
mycmakeargs+=( -DRUBY_EXECUTABLE=$(type -P ruby30) )
elif has_version "virtual/rubygems[ruby_targets_ruby27]"; then
mycmakeargs+=( -DRUBY_EXECUTABLE=$(type -P ruby27) )
fi
cmake_src_configure
}
src_install() {
cmake_src_install
# bug 572056
if [[ ! -f ${ED}$(qt5_get_libdir)/libQt5WebKit.so ]]; then
eerror "${CATEGORY}/${PF} could not build due to a broken ruby environment."
die 'Check "eselect ruby" and ensure you have a working ruby in your $PATH'
fi
}

View File

@@ -0,0 +1,29 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
fi
inherit qt5-build
DESCRIPTION="Implementation of the WebSocket protocol for the Qt5 framework"
IUSE="qml +ssl"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*[ssl=]
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
src_prepare() {
qt_use_disable_mod qml quick src/src.pro
qt5-build_src_prepare
}

View File

@@ -0,0 +1,22 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Module for displaying web content in a QML application using the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm64"
fi
IUSE=" "
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtdeclarative-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*
=dev-qt/qtwebengine-${QT5_PV}*:5
"
RDEPEND="${DEPEND}"

View File

@@ -0,0 +1,63 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="Set of components for creating classic desktop-style UIs for the Qt5 framework"
# keep IUSE defaults in sync with qtgui
IUSE="dbus gles2-only gtk +png +X"
REQUIRED_USE="gtk? ( dbus )"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[gles2-only=,png=,X?]
dbus? ( =dev-qt/qtdbus-${QT5_PV}* )
gtk? (
dev-libs/glib:2
=dev-qt/qtgui-${QT5_PV}*:5=[dbus]
x11-libs/gtk+:3[X]
x11-libs/libX11
x11-libs/pango
)
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/tools/uic
src/widgets
src/plugins/platformthemes
)
QT5_GENTOO_CONFIG=(
dbus:xdgdesktopportal:
gtk:gtk3:
::widgets
!:no-widgets:
)
QT5_GENTOO_PRIVATE_CONFIG=(
:widgets
)
src_configure() {
local myconf=(
-opengl $(usex gles2-only es2 desktop)
$(usev dbus -dbus-linked)
$(qt_use gtk)
-gui
$(qt_use png libpng system)
-widgets
$(qt_use X xcb)
$(usev X '-xcb-xlib -xkbcommon')
)
qt5-build_src_configure
}

View File

@@ -0,0 +1,22 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="Linux/X11-specific support library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE=" "
RDEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtgui-${QT5_PV}*[X]
"
DEPEND="${RDEPEND}
test? ( =dev-qt/qtwidgets-${QT5_PV}* )
"

View File

@@ -0,0 +1,29 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
if [[ ${PV} != *9999* ]]; then
QT5_KDEPATCHSET_REV=1
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
QT5_MODULE="qtbase"
inherit qt5-build
DESCRIPTION="Implementation of SAX and DOM for the Qt5 framework"
IUSE=" "
RDEPEND="=dev-qt/qtcore-${QT5_PV}*:5="
DEPEND="${RDEPEND}
test? ( =dev-qt/qtnetwork-${QT5_PV}* )
"
QT5_TARGET_SUBDIRS=(
src/xml
)
QT5_GENTOO_PRIVATE_CONFIG=(
:xml
)

View File

@@ -0,0 +1,39 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit qt5-build
DESCRIPTION="XPath, XQuery, XSLT, and XML Schema validation library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv x86"
fi
IUSE="qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}
!<dev-qt/qtchooser-66-r2
"
src_prepare() {
qt_use_disable_mod qml qml \
src/src.pro \
src/imports/imports.pro
qt_use_disable_mod qml quick tests/auto/auto.pro
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path xmlpatterns
qt5_symlink_binary_to_path xmlpatternsvalidator
}

View File

@@ -0,0 +1,372 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# shellcheck disable=SC2317
EAPI=8
PYTHON_COMPAT=( python3_{11..14} )
inherit check-reqs toolchain-funcs
inherit python-r1
DRIVER_PV="575.51.03"
GCC_MAX_VER="14"
CLANG_MAX_VER="19"
DESCRIPTION="NVIDIA CUDA Toolkit (compiler and friends)"
HOMEPAGE="https://developer.nvidia.com/cuda-zone"
SRC_URI="
amd64? (
https://developer.download.nvidia.com/compute/cuda/${PV}/local_installers/cuda_${PV}_${DRIVER_PV}_linux.run
)
arm64? (
https://developer.download.nvidia.com/compute/cuda/${PV}/local_installers/cuda_${PV}_${DRIVER_PV}_linux_sbsa.run
)
"
S="${WORKDIR}"
LICENSE="NVIDIA-CUDA"
SLOT="0/${PV}" # UNSLOTTED
# SLOT="${PV}" # SLOTTED
KEYWORDS="-* ~amd64 ~arm64 ~amd64-linux ~arm64-linux"
IUSE="debugger examples profiler rdma sanitizer"
RESTRICT="bindist mirror strip test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# since CUDA 11, the bundled toolkit driver (== ${DRIVER_PV}) and the
# actual required minimum driver version are different.
RDEPEND="
|| (
<sys-devel/gcc-$(( GCC_MAX_VER + 1 ))_pre[cxx]
<llvm-core/clang-$(( CLANG_MAX_VER + 1 ))_pre
)
sys-process/numactl
debugger? (
${PYTHON_DEPS}
)
examples? (
media-libs/freeglut
media-libs/glu
)
rdma? ( sys-cluster/rdma-core )
"
BDEPEND="
$(python_gen_any_dep '
dev-python/defusedxml[${PYTHON_USEDEP}]
')
"
# CUDA_PATH="/opt/cuda-${PV}" #950207
CUDA_PATH="/opt/cuda"
QA_PREBUILT="${CUDA_PATH#/}/*"
PATCHES=(
"${FILESDIR}/nvidia-cuda-toolkit-glibc-2.41-r1.patch"
)
python_check_deps() {
python_has_version "dev-python/defusedxml[${PYTHON_USEDEP}]"
}
cuda-toolkit_check_reqs() {
if use amd64; then
export CHECKREQS_DISK_BUILD="6645M"
elif use arm64; then
export CHECKREQS_DISK_BUILD="6412M"
fi
"check-reqs_pkg_${EBUILD_PHASE}"
}
cuda_verify() {
if has_version "sys-apps/grep[pcre]"; then
local DRIVER_PV_info
DRIVER_PV_info="$(bash "${DISTDIR}/${A}" --info | grep -oP "cuda_${PV}.*run" | cut -d '_' -f 3)"
if [[ "${DRIVER_PV}" != "${DRIVER_PV_info}" ]]; then
die "check DRIVER_PV is ${DRIVER_PV} and should be ${DRIVER_PV_info}"
fi
fi
# rest only works in with unpacked sources
[[ "${EBUILD_PHASE}" != prepare ]] && return
# run self checks
local compiler_versions GCC_HAS_VER CLANG_HAS_VER
compiler_versions="$(
grep -oP "unsupported (GNU|clang) version.*(gcc versions later than|clang version must be less than) [0-9]*" \
"${S}"/builds/cuda_nvcc/targets/*/include/crt/host_config.h
)"
GCC_HAS_VER="$( echo "${compiler_versions}" | grep gcc | grep -oP "(?<=than )[0-9]*")"
if [[ "${GCC_MAX_VER}" -ne "${GCC_HAS_VER}" ]]; then
eqawarn "check GCC_MAX_VER is ${GCC_MAX_VER} and should be ${GCC_HAS_VER}"
fi
CLANG_HAS_VER="$(( $(echo "${compiler_versions}" | grep clang | grep -oP "(?<=than )[0-9]*") - 1 ))"
if [[ "${CLANG_MAX_VER}" -ne "${CLANG_HAS_VER}" ]]; then
eqawarn "check CLANG_MAX_VER is ${CLANG_MAX_VER} and should be ${CLANG_HAS_VER}"
fi
}
pkg_pretend() {
cuda-toolkit_check_reqs
}
pkg_setup() {
cuda-toolkit_check_reqs
# we need python for manifest parsing and to determine the supported python versions for cuda-gdb
python_setup
if use amd64; then
narch=x86_64
elif use arm64; then
narch=sbsa
else
die "unknown arch ${ARCH}"
fi
export narch
}
src_unpack() {
cuda_verify
local exclude=(
"cuda-installer"
"*-uninstaller"
"NVIDIA-Linux-${narch}-${DRIVER_PV}.run"
"builds/cuda_documentation"
"builds/cuda_nsight"
"builds/cuda_nvvp"
"builds/nsight_compute"
"builds/nsight_systems"
"builds/nvidia_fs"
)
bash "${DISTDIR}/${A}" --tar xf -X <(printf "%s\n" "${exclude[@]}") || die "failed to extract ${A}"
}
src_configure() {
:
}
src_compile() {
:
}
src_install() {
local -x SKIP_COMPONENTS=(
"Kernel_Objects"
"Visual_Tools"
"Documentation" # obsolete
"cuda-gdb-src" # not used
)
! use debugger && SKIP_COMPONENTS+=( "cuda-gdb" )
! use examples && SKIP_COMPONENTS+=( "Demo_Suite" )
! use profiler && SKIP_COMPONENTS+=( "cuda-cupti" "cuda-profiler-api" "nvprof" )
! use sanitizer && SKIP_COMPONENTS+=( "compute-sanitizer" )
dodir "${CUDA_PATH}"
into "${CUDA_PATH}"
dofile() {
debug-print-function "${FUNCNAME[0]}" "$@"
if [[ $# -ne 1 ]] && [[ $# -ne 2 ]]; then
die "${FUNCNAME[0]} must receive one or two arguments"
fi
local _DESTDIR
_DESTDIR="$(dirname "${CUDA_PATH}/${1%/}")${2:+/${2%/}}"
mkdir -p "${ED}${_DESTDIR}" || die "mkdir ${_DESTDIR} failed"
local dir
dir="$(dirname "${1}")"
if test -z "$(find "${dir}" -maxdepth 1 -name "$(basename "$1")" -print -quit)"; then
if [[ -e "${ED}${_DESTDIR}/$(basename "${1}")" ]]; then
return
fi
if [[ "$1" == "targets/x86_64-linux/lib/stubs/libcusolverMg*" ]] ||
[[ "$1" == "targets/x86_64-linux/lib/libcusparse.so.*" ]]; then
return
fi
return
fi
if [[ -e "${ED}${_DESTDIR}/$(basename "${1}")" ]]; then
# skip noisy warnings
if [[ "$(basename "${1}")" == "include" ]] ||
[[ "$(basename "${1}")" == "lib64" ]]; then
return
fi
eqawarn "${ED}${_DESTDIR}/$(basename "${1}") exists"
return
fi
eval mv -i "${1}" "${ED}${_DESTDIR}" || die "mv failed ${PWD} / ${1} -> ${ED} ${_DESTDIR}"
}
dopcfile() {
[[ $# -eq 0 ]] && return
dodir "${CUDA_PATH}/pkgconfig"
cat > "${ED}${CUDA_PATH}/pkgconfig/${1}-${2}.pc" <<-EOF || die "dopcfile"
cudaroot=${EPREFIX}${CUDA_PATH}
libdir=\${cudaroot}/targets/${narch}-linux/lib${4}
includedir=\${cudaroot}/targets/${narch}-linux/include
Name: ${1}
Description: ${3}
Version: ${2}
Libs: -L\${libdir} -l${1}
Cflags: -I\${includedir}
EOF
}
pushd builds >/dev/null || die
fix_executable_bit=(
cuda_cupti/extras/CUPTI/samples/pc_sampling_utility/pc_sampling_utility_helper.h
cuda_cupti/extras/CUPTI/samples/pc_sampling_continuous/libpc_sampling_continuous.pl
libcufile/gds/tools/run_gdsio.cfg
)
if use amd64; then
fix_executable_bit+=(
cuda_opencl/targets/*/include/CL/cl.hpp
libcufile/targets/*/lib/libcufile_rdma_static.a
libcufile/targets/*/lib/libcufile_static.a
)
fi
chmod -x "${fix_executable_bit[@]}" || die "failed chmod"
popd >/dev/null || die
ebegin "parsing manifest" "${S}/manifests/cuda_"*.xml # {{{
"${EPYTHON}" "${FILESDIR}/parse_manifest.py" "${S}/manifests/cuda_"*".xml" &> "${T}/install.sh" \
|| die "failed to parse manifest"
# shellcheck disable=SC1091
source "${T}/install.sh" || die "failed to source install script"
eend $? # }}}
if use debugger; then
if [[ -d "${ED}/${CUDA_PATH}/extras/Debugger/lib64" ]]; then
rmdir "${ED}/${CUDA_PATH}/extras/Debugger/lib64" || die "remove debugger lib64"
fi
find "${ED}/${CUDA_PATH}/bin" -maxdepth 1 -name "cuda-gdb-*-tui" -print0 | while read -rd $'\0' tui_name; do
impl="$(basename "${tui_name}" | cut -d '-' -f 3 | tr '.' '_')"
if ! has "${impl}" "${PYTHON_COMPAT[@]}" || ! use "python_targets_${impl}"; then
rm "${tui_name}" || die "tui-name rm ${tui_name}"
sed -e "/$(basename "${tui_name}")\"/d" -i "${ED}/${CUDA_PATH}/bin/cuda-gdb" || die "tui_name sed"
fi
done
fi
# remove rdma libs (unless USE=rdma)
if ! use rdma; then
rm "${ED}/${CUDA_PATH}/targets/${narch}-linux/lib/libcufile_rdma"* || die "failed to remove rdma files"
fi
# Add include and lib symlinks
dosym "targets/${narch}-linux/include" "${CUDA_PATH}/include"
dosym "targets/${narch}-linux/lib" "${CUDA_PATH}/lib64"
find "${ED}/${CUDA_PATH}" -empty -delete || die
local ldpathextradirs pathextradirs
use debugger && ldpathextradirs+=":${EPREFIX}${CUDA_PATH}/extras/Debugger/lib64"
use profiler && ldpathextradirs+=":${EPREFIX}${CUDA_PATH}/extras/CUPTI/lib64"
local revord=$(( 999999 - $(printf "%02d%02d%02d" "$(ver_cut 1)" "$(ver_cut 2)" "$(ver_cut 3)") ))
newenvd - "99cuda${revord}" <<-EOF
PATH=${EPREFIX}${CUDA_PATH}/bin${pathextradirs}
PKG_CONFIG_PATH=${EPREFIX}${CUDA_PATH}/pkgconfig
LDPATH=${EPREFIX}${CUDA_PATH}/lib64:${EPREFIX}${CUDA_PATH}/nvvm/lib64${ldpathextradirs}
EOF
# CUDA prepackages libraries, don't revdep-build on them
insinto /etc/revdep-rebuild
newins - "80${PN}${revord}" <<-EOF
SEARCH_DIRS_MASK="${EPREFIX}${CUDA_PATH}"
EOF
# https://bugs.gentoo.org/926116
insinto /etc/sandbox.d
newins - "80${PN}" <<-EOF
SANDBOX_PREDICT="/proc/self/task"
EOF
# TODO drop and replace with runtime detection similar to what python does {{{
# ATTENTION: change requires revbump, see link below for supported GCC # versions
# https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#system-requirements
local cuda_supported_gcc=( 8.5 9.5 10 11 12 13 "${GCC_MAX_VER}" )
sed \
-e "s:CUDA_SUPPORTED_GCC:${cuda_supported_gcc[*]}:g" \
"${FILESDIR}"/cuda-config.in > "${ED}/${CUDA_PATH}/bin/cuda-config" || die
fperms +x "${CUDA_PATH}/bin/cuda-config"
# }}}
# skip til cudnn has been changed #950207
# if [[ "${SLOT}" != "${PV}" ]]; then
# dosym "${CUDA_PATH}" "${CUDA_PATH%"-${PV}"}"
# fi
fowners -R root:root "${CUDA_PATH}"
}
pkg_postinst_check() {
if tc-is-gcc &&
ver_test "$(gcc-major-version)" -gt "${GCC_MAX_VER}"; then
ewarn
ewarn "gcc > ${GCC_MAX_VER} will not work with CUDA"
ewarn
ewarn "Append --ccbin= pointing to a gcc bindir to the nvcc compiler flags (NVCCFLAGS)"
ewarn "or set NVCC_CCBIN to the same bindir."
ewarn " NVCCFLAGS=\"--ccbin=$(eval echo "${EPREFIX}/usr/*-linux-gnu/gcc-bin/${GCC_MAX_VER}")\""
ewarn " NVCC_CCBIN=$(eval echo "${EPREFIX}/usr/*-linux-gnu/gcc-bin/${GCC_MAX_VER}")"
ewarn
fi
if tc-is-clang &&
ver_test "$(clang-major-version)" -gt "${CLANG_MAX_VER}"; then
ewarn
ewarn "clang > ${CLANG_MAX_VER} will not work with CUDA"
ewarn
ewarn "Append --ccbin= pointing to a clang bindir to the nvcc compiler flags (NVCCFLAGS)"
ewarn "or set NVCC_CCBIN to the same bindir."
ewarn " NVCCFLAGS=\"--ccbin=$(eval echo "${EPREFIX}/usr/lib/llvm/*/bin${CLANG_MAX_VER}")\""
ewarn " NVCC_CCBIN=$(eval echo "${EPREFIX}/usr/lib/llvm/*/bin${CLANG_MAX_VER}")"
ewarn
fi
}
pkg_postinst() {
if [[ ${MERGE_TYPE} != binary ]]; then
pkg_postinst_check
fi
if use profiler; then
einfo
einfo "nvidia-drivers restricts access to performance counters."
einfo "You'll need to run profiling tools (nvprof) "
einfo "using sudo (needs cap SYS_ADMIN) or add the following line to "
einfo "a modprobe configuration file "
einfo "(e.g. /etc/modprobe.d/nvidia-prof.conf): "
einfo
einfo "options nvidia NVreg_RestrictProfilingToAdminUsers=0"
einfo
fi
}

View File

@@ -0,0 +1,513 @@
# Copyright 2000-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
LUA_COMPAT=( lua5-{1..2} )
MY_PV="${PV/_/-}"
MY_PV="${MY_PV/-beta/-test}"
MY_P="${PN}-${MY_PV}"
if [[ ${PV} == *9999* ]] ; then
if [[ ${PV%.9999} != ${PV} ]] ; then
EGIT_BRANCH="${PV%.9999}.x"
fi
EGIT_REPO_URI="https://code.videolan.org/videolan/vlc.git"
inherit git-r3
else
COMMIT=
if [[ -n ${COMMIT} ]] ; then
SRC_URI="https://code.videolan.org/videolan/vlc/-/archive/${COMMIT}.tar.gz -> ${P}-${COMMIT:0:8}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"
else
if [[ ${MY_P} == ${P} ]] ; then
SRC_URI="https://download.videolan.org/pub/videolan/${PN}/${PV}/${P}.tar.xz"
else
SRC_URI="https://download.videolan.org/videolan/testing/${MY_PV}/${MY_P}.tar.xz"
fi
S="${WORKDIR}/${MY_P}"
fi
KEYWORDS="amd64 ~arm arm64 ~loong ppc ppc64 ~riscv -sparc x86"
fi
inherit autotools flag-o-matic lua-single toolchain-funcs virtualx xdg
DESCRIPTION="Media player and framework with support for most multimedia files and streaming"
HOMEPAGE="https://www.videolan.org/vlc/"
LICENSE="LGPL-2.1 GPL-2"
SLOT="0/5-9" # vlc - vlccore
IUSE="a52 alsa aom archive aribsub bidi bluray cddb chromaprint chromecast dav1d dbus
dc1394 debug directx dts +dvbpsi dvd +encode faad fdk +ffmpeg flac fluidsynth
fontconfig +gcrypt gme keyring gstreamer +gui ieee1394 jack jpeg kate
libass libcaca libnotify +libsamplerate libtiger linsys lirc live lua
macosx-notifications mad matroska modplug mp3 mpeg mtp musepack ncurses nfs ogg
omxil optimisememory opus png projectm pulseaudio run-as-root samba sdl-image
sftp shout sid skins soxr speex srt ssl svg taglib theora tremor truetype twolame
udev upnp vaapi v4l vdpau vnc vpx wayland +X x264 x265 xml zeroconf zvbi
cpu_flags_arm_neon cpu_flags_ppc_altivec cpu_flags_x86_mmx cpu_flags_x86_sse
"
REQUIRED_USE="
chromecast? ( encode )
directx? ( ffmpeg )
fontconfig? ( truetype )
libcaca? ( X )
libtiger? ( kate )
lua? ( ${LUA_REQUIRED_USE} )
skins? ( archive gui truetype X xml )
ssl? ( gcrypt )
vaapi? ( ffmpeg X )
vdpau? ( ffmpeg X )
"
# live+snapshots need bison+flex
BDEPEND="
sys-devel/bison
sys-devel/flex
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
lua? ( ${LUA_DEPS} )
amd64? ( dev-lang/yasm )
wayland? ( dev-util/wayland-scanner )
x86? ( dev-lang/yasm )
"
# depends on abseil-cpp via protobuf targets
RDEPEND="
media-libs/libvorbis
net-dns/libidn:=
virtual/zlib:=
virtual/libintl
virtual/opengl
a52? ( media-libs/a52dec )
alsa? ( media-libs/alsa-lib )
aom? ( media-libs/libaom:= )
archive? ( app-arch/libarchive:= )
aribsub? ( media-libs/aribb24 )
bidi? (
dev-libs/fribidi
media-libs/freetype:2[harfbuzz]
media-libs/harfbuzz:=
virtual/ttf-fonts
)
bluray? ( >=media-libs/libbluray-1.3.0:= )
cddb? ( media-libs/libcddb )
chromaprint? ( media-libs/chromaprint:= )
chromecast? (
dev-cpp/abseil-cpp:=
>=dev-libs/protobuf-2.5.0:=
>=net-libs/libmicrodns-0.1.2:=
)
dav1d? ( media-libs/dav1d:= )
dbus? ( sys-apps/dbus )
dc1394? (
media-libs/libdc1394:2
sys-libs/libraw1394
)
dts? ( media-libs/libdca )
dvbpsi? ( >=media-libs/libdvbpsi-1.2.0:= )
dvd? (
>=media-libs/libdvdnav-6.1.1:=
>=media-libs/libdvdread-6.1.2:=
)
faad? ( media-libs/faad2 )
fdk? ( media-libs/fdk-aac:= )
ffmpeg? ( >=media-video/ffmpeg-3.1.3:=[vaapi?,vdpau?] )
flac? (
media-libs/flac:=
media-libs/libogg
)
fluidsynth? ( media-sound/fluidsynth:= )
fontconfig? ( media-libs/fontconfig:1.0 )
gcrypt? (
dev-libs/libgcrypt:=
dev-libs/libgpg-error
)
gme? ( media-libs/game-music-emu )
keyring? ( app-crypt/libsecret )
gstreamer? ( >=media-libs/gst-plugins-base-1.4.5:1.0 )
gui? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
X? (
dev-qt/qtx11extras:5
x11-libs/libX11
)
)
ieee1394? (
sys-libs/libavc1394
sys-libs/libraw1394
)
jack? ( virtual/jack )
jpeg? ( media-libs/libjpeg-turbo:0 )
kate? ( media-libs/libkate )
libass? (
media-libs/fontconfig:1.0
media-libs/libass:=
)
libcaca? ( media-libs/libcaca )
libnotify? (
dev-libs/glib:2
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
x11-libs/libnotify
)
libsamplerate? ( media-libs/libsamplerate )
libtiger? ( media-libs/libtiger )
linsys? ( media-libs/zvbi )
lirc? ( app-misc/lirc )
live? ( media-plugins/live:= )
lua? ( ${LUA_DEPS} )
mad? ( media-libs/libmad )
matroska? (
>=dev-libs/libebml-1.4.2:=
media-libs/libmatroska:=
)
modplug? ( >=media-libs/libmodplug-0.8.9.0 )
mp3? ( media-sound/mpg123-base )
mpeg? ( media-libs/libmpeg2 )
mtp? ( media-libs/libmtp:= )
musepack? ( media-sound/musepack-tools )
ncurses? ( sys-libs/ncurses:=[unicode(+)] )
nfs? ( >=net-fs/libnfs-0.10.0:= )
ogg? ( media-libs/libogg )
opus? ( >=media-libs/opus-1.0.3 )
png? ( media-libs/libpng:0= )
projectm? (
media-fonts/dejavu
>=media-libs/libprojectm-3.1.12:0=
)
pulseaudio? ( media-libs/libpulse )
samba? ( >=net-fs/samba-4.0.0:0[client,-debug(-)] )
sdl-image? ( media-libs/sdl-image )
sftp? ( net-libs/libssh2 )
shout? ( media-libs/libshout )
sid? ( media-libs/libsidplay:2 )
skins? (
x11-libs/libXext
x11-libs/libXinerama
x11-libs/libXpm
)
soxr? ( >=media-libs/soxr-0.1.2 )
speex? (
>=media-libs/speex-1.2.0
media-libs/speexdsp
)
srt? ( >=net-libs/srt-1.4.2:= )
ssl? ( net-libs/gnutls:= )
svg? (
gnome-base/librsvg:2
x11-libs/cairo
)
taglib? ( media-libs/taglib:= )
theora? ( media-libs/libtheora:= )
tremor? ( media-libs/tremor )
truetype? (
media-libs/freetype:2
virtual/ttf-fonts
!fontconfig? ( media-fonts/dejavu )
)
twolame? ( media-sound/twolame )
udev? ( virtual/udev )
upnp? ( net-libs/libupnp:=[ipv6(+)] )
v4l? ( media-libs/libv4l:= )
vaapi? ( media-libs/libva:=[drm(+),wayland?,X?] )
vdpau? ( x11-libs/libvdpau )
vnc? ( net-libs/libvncserver )
vpx? ( media-libs/libvpx:= )
wayland? (
>=dev-libs/wayland-1.15
dev-libs/wayland-protocols
)
X? (
x11-libs/libX11
x11-libs/libxcb
x11-libs/xcb-util
x11-libs/xcb-util-keysyms
)
x264? ( >=media-libs/x264-0.0.20190214:= )
x265? ( media-libs/x265:= )
xml? ( dev-libs/libxml2:2= )
zeroconf? ( net-dns/avahi[dbus] )
zvbi? ( media-libs/zvbi )
"
DEPEND="${RDEPEND}
X? ( x11-base/xorg-proto )
"
DOCS=( AUTHORS THANKS NEWS README doc/fortunes.txt )
PATCHES=(
"${FILESDIR}"/${PN}-3.0.22-gettext-version.patch # bug 766549
"${FILESDIR}"/${PN}-3.0.22-no-vlc-cache-gen.patch # bugs 564842, 608256
"${FILESDIR}"/${PN}-2.1.0-fix-libtremor-libs.patch # build system
"${FILESDIR}"/${PN}-3.0.6-fdk-aac-2.0.0.patch # bug 672290
"${FILESDIR}"/${PN}-3.0.11.1-configure_lua_version.patch
"${FILESDIR}"/${PN}-3.0.18-drop-minizip-dep.patch
)
pkg_setup() {
if use lua; then
lua-single_pkg_setup
fi
}
src_prepare() {
default
# bug 608256
xdg_environment_reset
# Bootstrap when we are on a git checkout.
if [[ ${PV} == *9999* || ${PV} == *_p[0-9]* ]] ; then
./bootstrap
fi
# Make it build with libtool 1.5
rm m4/lt* m4/libtool.m4 || die
# We are not in a real git checkout due to the absence of a .git directory.
touch src/revision.txt || die
# Don't use --started-from-file when not using dbus.
if ! use dbus ; then
sed -i 's/ --started-from-file//' share/vlc.desktop.in || die
fi
sed -i 's/gstvideopool.h/video.h/' modules/codec/gstreamer/gstvlcvideopool.h
eautoreconf
}
src_configure() {
# live+snapshots need bison+flex
unset LEX YACC
local -x BUILDCC="$(tc-getBUILD_CC)"
local myeconfargs=(
--disable-aa
--disable-amf-frc # DirectX specific
--disable-freerdp # bug 921096
--disable-optimizations
--disable-postproc # bug 961436
--disable-rpath
--disable-update-check
--enable-fast-install
--enable-screen
--enable-vcd
--enable-vlc
--enable-vorbis
$(use_enable a52) # not officially supported anymore (avcodec takes priority)
$(use_enable alsa)
$(use_enable aom)
$(use_enable archive)
$(use_enable aribsub)
$(use_enable bidi fribidi)
$(use_enable bidi harfbuzz)
$(use_enable bluray)
$(use_enable cddb libcddb)
$(use_enable chromaprint)
$(use_enable chromecast)
$(use_enable chromecast microdns)
$(use_enable cpu_flags_arm_neon neon)
$(use_enable cpu_flags_ppc_altivec altivec)
$(use_enable cpu_flags_x86_mmx mmx)
$(use_enable cpu_flags_x86_sse sse)
$(use_enable dav1d)
$(use_enable dbus)
$(use_enable dbus kwallet)
$(use_enable dc1394)
$(use_enable debug)
$(use_enable directx)
$(use_enable directx d3d11va)
$(use_enable directx dxva2)
$(use_enable dts dca) # not officially supported anymore (avcodec takes priority)
$(use_enable dvbpsi)
$(use_enable dvd dvdnav)
$(use_enable dvd dvdread)
$(use_enable encode sout)
$(use_enable encode vlm)
$(use_enable faad)
$(use_enable fdk fdkaac)
$(use_enable ffmpeg avcodec)
$(use_enable ffmpeg avformat)
$(use_enable ffmpeg swscale)
$(use_enable flac)
$(use_enable fluidsynth)
$(use_enable fontconfig)
$(use_enable gcrypt libgcrypt)
$(use_enable gme)
$(use_enable keyring secret)
$(use_enable gstreamer gst-decode)
$(use_enable gui qt)
$(use_enable ieee1394 dv1394)
$(use_enable jack)
$(use_enable jpeg)
$(use_enable kate)
$(use_enable libass)
$(use_enable libcaca caca)
$(use_enable libnotify notify)
$(use_enable libsamplerate samplerate)
$(use_enable libtiger tiger)
$(use_enable linsys)
$(use_enable lirc)
$(use_enable live live555)
$(use_enable lua)
$(use_enable macosx-notifications osx-notifications)
$(use_enable mad)
$(use_enable matroska)
$(use_enable modplug mod)
$(use_enable mp3 mpg123)
$(use_enable mpeg libmpeg2) # not officially supported anymore (avcodec takes priority)
$(use_enable mtp)
$(use_enable musepack mpc)
$(use_enable ncurses)
$(use_enable nfs)
$(use_enable ogg)
$(use_enable omxil)
$(use_enable omxil omxil-vout)
$(use_enable optimisememory optimize-memory)
$(use_enable opus)
$(use_enable png)
$(use_enable projectm)
$(use_enable pulseaudio pulse)
$(use_enable run-as-root)
$(use_enable samba smbclient)
$(use_enable sdl-image)
$(use_enable sftp)
$(use_enable shout)
$(use_enable sid)
$(use_enable skins skins2)
$(use_enable soxr)
$(use_enable speex)
$(use_enable srt)
$(use_enable ssl gnutls)
$(use_enable svg)
$(use_enable svg svgdec)
$(use_enable taglib)
$(use_enable theora)
$(use_enable tremor)
$(use_enable twolame)
$(use_enable udev)
$(use_enable upnp)
$(use_enable v4l v4l2)
$(use_enable vaapi libva)
$(use_enable vdpau)
$(use_enable vnc)
$(use_enable vpx)
$(use_enable wayland)
$(use_with X x)
$(use_enable X xcb)
$(use_enable X xvideo)
$(use_enable x264)
$(use_enable x264 x26410b)
$(use_enable x265)
$(use_enable xml libxml2)
$(use_enable zeroconf avahi)
$(use_enable zvbi)
$(use_enable !zvbi telx)
--with-kde-solid="${EPREFIX}"/usr/share/solid/actions
--disable-asdcp
--disable-coverage
--disable-cprof
--disable-crystalhd
--disable-decklink
--disable-gles2
--disable-goom
--disable-kai
--disable-kva
--disable-libplacebo
--disable-maintainer-mode
--disable-merge-ffmpeg
--disable-mfx
--disable-mmal
--disable-opencv
--disable-opensles
--disable-oss
--disable-rpi-omxil
--disable-schroedinger
--disable-shine
--disable-sndio
--disable-spatialaudio
--disable-vsxu
--disable-wasapi
--disable-wma-fixed
)
# ^ We don't have these disabled libraries in the Portage tree yet.
# https://code.videolan.org/videolan/vlc/-/issues/17626 (bug #861143)
append-flags -fno-strict-aliasing
filter-lto
# Compatibility fix for Samba 4.
use samba && append-cppflags "-I${ESYSROOT}/usr/include/samba-4.0"
if use x86; then
# We need to disable -fstack-check if use >=gcc 4.8.0. bug #499996
append-cflags $(test-flags-CC -fno-stack-check)
# Bug 569774
replace-flags -Os -O2
fi
# FIXME: Needs libresid-builder from libsidplay:2 which is in another directory...
append-ldflags "-L${ESYSROOT}/usr/$(get_libdir)/sidplay/builders/"
if use riscv; then
# bug #803473
append-libs -latomic
fi
if use truetype || use bidi; then
myeconfargs+=( --enable-freetype )
else
myeconfargs+=( --disable-freetype )
fi
if use truetype || use projectm; then
local dejavu="${EPREFIX}/usr/share/fonts/dejavu/"
myeconfargs+=(
--with-default-font=${dejavu}/DejaVuSans.ttf
--with-default-font-family=Sans
--with-default-monospace-font=${dejavu}/DejaVuSansMono.ttf
--with-default-monospace-font-family=Monospace
)
fi
econf "${myeconfargs[@]}"
# _FORTIFY_SOURCE is set to 2 in config.h, which is also the default value on Gentoo.
# Other values may break the build (bug 523144), so definition should not be removed.
# To prevent redefinition warnings, we undefine _FORTIFY_SOURCE at the start of config.h
sed -i '1i#undef _FORTIFY_SOURCE' config.h || die
}
src_test() {
virtx emake check-TESTS
}
src_install() {
default
find "${ED}" -name '*.la' -delete || die
}
pkg_postinst() {
if [[ -z "${ROOT}" ]] && [[ -x "${EROOT}/usr/$(get_libdir)/vlc/vlc-cache-gen" ]] ; then
einfo "Running ${EPREFIX}/usr/$(get_libdir)/vlc/vlc-cache-gen on ${EROOT}/usr/$(get_libdir)/vlc/plugins/"
"${EPREFIX}/usr/$(get_libdir)/vlc/vlc-cache-gen" "${EROOT}/usr/$(get_libdir)/vlc/plugins/"
else
ewarn "We cannot run vlc-cache-gen (most likely ROOT != /)"
ewarn "Please run ${EPREFIX}/usr/$(get_libdir)/vlc/vlc-cache-gen manually"
ewarn "If you do not do it, vlc will take a long time to load."
fi
xdg_pkg_postinst
}
pkg_postrm() {
if [[ -e "${EROOT}"/usr/$(get_libdir)/vlc/plugins/plugins.dat ]]; then
rm "${EROOT}"/usr/$(get_libdir)/vlc/plugins/plugins.dat || die "Failed to rm plugins.dat"
fi
xdg_pkg_postrm
}

View File

@@ -0,0 +1,108 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}